OpenAPI specification
Release: ActiveSingle operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
Evaluate party documents.
/ch/v1/party/document-evaluateUse this API to trigger KYC or KYB document evaluation for a party. Authenticate the request with CommerceHub HMAC.
Showing 3 of 3 top-level parameters (3 total fields) for Submit KYB evaluation
operationTypeRequiredstringFixed operation type identifying a document evaluation (doc-submit) request.
Available enum values
Selecting a value updates the request body.
processRequiredstringThe evaluation process to trigger for the party's documents.
Available enum values
Selecting a value updates the request body.
partyIdRequiredstringParty identifier. Required so the service can read the stored boarding step for the given process and collect the document references to submit to MRD.
Request
Submit KYB evaluationResponse
curl --request POST 'https://connect-cert.fiservapis.net/ch/v1/party/document-evaluate' \
--header 'Client-Request-Id: <Client-Request-Id>' \
--header 'Timestamp: <Timestamp>' \
--header 'Auth-Token-Type: HMAC' \
--header 'Authorization: YOUR_BASE64_HMAC_SIGNATURE' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
"operationType": "DOCUMENT_EVALUATION",
"process": "KYB",
"partyId": "100712000019041"
}'| HTTP | Description |
|---|---|
| 400 | The request cannot be validated. |
| 401 | The request was unauthorized. |
| 404 | The requested resource does not exist. |
| 408 | The request was timed out due to not receiving the request in time. |
| 415 | The media type is not supported. |
| 425 | The request was sent too early. |
| 429 | Too many request were sent. |
| 500 | An unexpected internal server error occurred. |
| 503 | The service was unavailable. |
| 504 | The request timed out while waiting for a response. |
Single operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
No Postman workflow is mapped to this operation. No product-wide collection is substituted.
QA collections: Configure your environment and credentials before running. Some requests create resources or move funds.